Package org.apache.sysds.runtime.compress.colgroup.insertionsort

## Interface InsertionSorterFactory

    public interface InsertionSorterFactory

### Nested Class Summary

Nested Classes
`static class` `InsertionSorterFactory.SORT_TYPE`

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static AInsertionSorter` `create​(int endLength, int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter` `create​(int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter` `createNegative​(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter` `createNegative​(int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

### Method Detail

#### create

    static AInsertionSorter create​(int numRows,
                                   IntArrayList[] offsets,
                                   InsertionSorterFactory.SORT_TYPE st)

#### create

    static AInsertionSorter create​(int endLength,
                                   int numRows,
                                   IntArrayList[] offsets,
                                   InsertionSorterFactory.SORT_TYPE st)

#### createNegative

    static AInsertionSorter createNegative​(int numRows,
                                           IntArrayList[] offsets,
                                           int negativeIndex,
                                           InsertionSorterFactory.SORT_TYPE st)

#### createNegative

    static AInsertionSorter createNegative​(int endLength,
                                           int numRows,
                                           IntArrayList[] offsets,
                                           int negativeIndex,
                                           InsertionSorterFactory.SORT_TYPE st)